html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}


:root {
    --bg: white;
    --text: black;
}

.dark-mode {
    --bg: #2c2c2c;
    --text: #ffffff;
    --text-disabled: #666666;
    --sub-bg: #1f1f1f;
    --sub-text: #be6836;
    --sub-border: #444;
    --nav-bg: black;
    --nav-text: #be6836
}

body {
    background: var(--sub-bg);
    color: var(--text);
}

.card, .container, .form-control {
    background: var(--sub-bg);
    color: var(--sub-text);
    border-color: var(--sub-border);
}

    .form-control:focus {
        background: var(--sub-bg);
        color: var(--sub-text);
    }

.form-control:disabled, .form-control[readonly] {
    background: var(--bg);
    color: var(--text-disabled);
    border-color: var(--sub-border);
    opacity: 0.7;
}

nav, .nav-link {
    color: var(--nav-text);
    transition: color 0s ease-in-out, background-color 0s;
}

            .nav-link:hover {
                color: var(--nav-text);
            }

        .dark-mode .page-link {
            background-color: #3b3b3b;
        }

        a:not(.btn), th, tr, td {
            color: var(--sub-text);
            border-color: var(--sub-text);
        }

        .dark-mode .text-grayed a, .dark-mode input::placeholder {
            color: #684226;
        }